Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface UnaryTree

All Superinterfaces:
  ExpressionTree, Tree

    public interface UnaryTree
    extends ExpressionTree

A tree node for postfix and unary expressions. Use `getKind` to determine the kind of operator. For example:

       operator expression

       expression operator

Since:
  9

### Nested Class Summary

### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExpressionTree` `getExpression()` Returns the expression operated by the unary operator.

### Methods inherited from interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getExpression

    ExpressionTree getExpression()

Returns the expression operated by the unary operator.

Returns:
  The expression operated by the unary operator.